Registry Defragmentation for Windows 95-XP

Introduction

Windows registry is its core, constantly modifying and growing in size. It's being altered each time you install/remove programs or config system settings. Such changes made to Windows registry cause it to grow in size, no matter whether new information is added or deleted from registry. Thus registry quickly loses its linear structure which results in increase of application response time and registry access time.

"Registry defragmentation" performs physical defragmentation of the Windows registry file. After defragmentation your registry will acquire linear structure which will reduce application response time and registry access time. "Registry defragmentation" also removes unused entries, thus making registry even smaller in size. Do not worry if sometimes after defragmentation the registry will become smaller only by 1-5%, the key is not in size but in its linear structure, hence it determines access time.

Usually you'll have to use "Registry defragmentation" when new program is installed/removed. You should perform defragmentations regularly, because registry's linear structure is quickly lost and as the time runs on it only becomes more non-linear. With this aim program package includes special sceduler which can help you to organize such regular optimizations.

Registry Defragmentation optimizes registry by removing fragmentation. It also deletes unused entries, making it yet less in size and thus speeds up your system.

"Registry Defragmentation" Main Window

WWW: http://antispy4you.com/
E-Mail: info@elcor.net


Main Features

OS: Windows 95, Windows 98, Windows Me, Windows NT, Windows 2000, Windows XP, Windows Server 2003, Windows Longhorn
System Requirements: no special
 License: Shareware

  • Multi-Language Engine
  • Prevent Your Computer from Windows crashes
  • Make Your Computer Fast and stable in Minutes
  • Regularly removes of the deleted data from the registry
  • Increase Your Computer Speed by up to 100%!
  • Reduces application response time
  • Reduces system response Time
  • Reduces boot time
  • Saves memory by compacting registry is size
  • Builds new registry with linear structure
  • System Backup - restores system settings (Windows Me or XP/Longhorn)


Using "Registry Defragmentation"

Launch Registry Toolkit and click on the < Start Registry Defragmentation > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

Note: To ensure proper operation of "Registry Defragmentation", you should be logged in as a system administrator either verify that you have equivalent permission to access the registry.

To defragment your registry, simply run "Registry Defragmentation", click "Go!", and when the process is completed click "Yes" to reboot the computer. You should do so immediately because any changes made to the registry after "Registry Defragmentation" has been run won't be saved.

Depending on your system configuration the optimization process may take some time.


Tutorial: Using Registry Backup/Restore

This small and quick tutorial will guide you through the basic steps needed to learn how to backup/restore your registry.

1. Launch Registry Toolkit and click on the < Start Registry Backup > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

2. Choose "Registry Backup" from the drop-down list. Press OK.

3. Select folder where you want your backup files to be saved.

4. Check needed hives and press "Go!". Selected hives will be saved to disk.

5. Now when you want to restore registry simply start up Registry Backup again. Select the hives you want to be restored, specify your backup path (the folder you've chosen in step No. 3) and press "Go!". Restart the machine.


Tutorial: Using System Backup

This small and quick tutorial will guide you through the basic steps needed to learn how to backup/restore your system.

1. Launch Registry Toolkit and click on the < Start System Backup > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

2. To backup your system simply press the Backup System button. You will be prompted to enter a description name for the restore point that is about to be created. So enter it and press OK. This will cause the system to create a new restore point.

3. To restore system settings select corresponding checkpoint in the list and press Restore System button. You will be prompted to close all running applications, because the system will need to reboot to successfully complete the restore process.

4. If you would like to enlarge amount of disk space for System Backup or change life time of your backups then press Configuration button. You will see a new window where you can change these and other settings. Changing of configuration settings is available for registered users only.


Tutorial: Using Registry Defragmentation Scheduler

This small and quick tutorial will guide you through the basic steps needed to learn how to make scheduled launches of "Registry Defragmentation".

1. Launch Registry Toolkit and click on the < Start Registry Defragmentation Scheduler > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

2. Go to menu Task->Add task. This will add a new task to the schedule.

3. On the Parameters bookmark set up how frequantly you want your registry to be defragmented.

4. Now locate Run bookmark. Here you must set command line switches which "Registry Defragmentation" will be started with. For example, you may want defragmentation process to be started automatically and no reboot promt being shown. To do this simply check 1st and 3rd items in the switches list.

5. Press Ok button. Since now the new task becomes active and will launch at the specified time.

6. When task is successfully executed its status will be changed to disabled.


"Registry Defragmentation" command line switches

"Registry Defragmentation" supports command line switches with which you can perform a registry defragmentation, without user interaction. The syntax for the "Registry Defragmentation" command line is:

RegDefrag [/clear] [/close] [/ejectcd] [/high_priority] [/minimize] [/noreboot_promt] [/noreboot] [/shutdown] [/nowarning] [/start]
(Switches in brackets are optional.)

Description of the command line switches:

/clear
Remove temp files when done

/close
Close "Registry Defragmentation" after defragmentation

/ejectcd
Eject CD before the computer is rebooted

/high_priority
Set RegDefrag priority to high (this will slow down other active applications)

/minimize
Start RegDefrag in minimized mode

/noreboot
Doesn't reboot computer

/noreboot_promt
Reboot computer without a promt

/shutdown
Shutdown computer

/nowarning
Don't show warnings

/start
Automatically start defragmentation process when program is started


The Windows Registry

So what is Windows registry? To be short, it's a unified store of all system settings - a complex database. Registry possesses ierarchical structure as a tree. Registry holds information about hardware, software, user profiles and other vital data.

Registry was introduced in Windows 95 to remove discomfort with .ini files that Microsoft developers created in earlier Windows 3.1. So since Windows 95 life became better. And though appearance of the registry was undoubtedly a big step ahead, it brought some problems which need attention.

One of the problems is that ordinary users happen to edit some registry keys/values and some of those registry "tunings" may easily cause the system to become unbootable or even worser, cause you may get some weird bugs from time to time. Registry is a fragile thing and if you're not careful you can easily damage it.

Another problem is that registry can only grow in size. Advanced users and system administrators have to modify registry entries frequently. But all those changes made either by the user (manually) or by the program cause registry to grow and lose its linear structure. The loss of the linear structure in its turn slows down your system. To prevent such unwanted decelerations the registry must be constantly defragmented in order to keep up to its linear structure.

I've already mentioned that Windows registry is a hierarchical database, but let me say some words more. The root of registry hierarchy is called My Computer. The root in its turn possesses root keys which can be compared to subdirectories and they. These root keys may contain subkeys (which again can contain farther subkeys and values) and values. Each value has its name (any characters not those in ["\","*","?"]), type and data. These entities are called root handles, which is quite understandable. But they are also called hives, which is not reasonable, but you should remember what it is.


LICENSE AGREEMENT

READ THIS DOCUMENT CAREFULLY BEFORE INSTALLING THIS SOFTWARE. BY DOWNLOADING, INSTALLING AND USING THIS SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL OR USE THE SOFTWARE. YOU AGREE THAT YOUR INSTALLING OR USE OF THE SOFTWARE ACKNOWLEDGES THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.

This is a legal agreement between you (either an individual or an entity) and authora of "Registry Defragmentation" – Nick Nifontov and Alexander Berezovsky.

LICENSE

1. Copyright

All copyrights to "Registry Defragmentation" belong ONLY to its authors - Nick Nifontov and Alexander Berezovsky. You are not allowed to remove the copyright notice from any copy of the software.

2. Limitations on Using, Copying, and Modifying the Software

Except to the extent expressly permitted by this agreement you must not use, copy or modify the software.

3. Decompiling, Disassembling, or Reverse Engineering

You are NOT permitted to study the source code of this software by ANY way and for ANY reason. You are NOT allowed to modify, decompile, disassemble or make reverse engineering of this software.

4. Software Licenses

"Registry Defragmentation" has two types of licenses: Personal and Site. The Personal License is a one-computer license for a single person. The Site License is a multi-user license that allows usage of the program in the registered mode by all members of the company (team, group, and etc), which owns it.

5. No Transfer of License

You must not transfer your license of the software except to the extent expressly permitted by this agreement ways. You are NOT permitted to generate registration keys, to sell, to transmit or to distribute them by ANY other way. Only the authors of "Registry Defragmentation" - Nick Nifontov and Alexander Berezovsky have this right. You are NOT permitted to hand in employment or lease, to sell or transmit to other faces and also by ANY other way to distribute the registered copy of the software. Distribution of the unregistered shareware version is on the contrary welcomed.

6. Software updates

Registered users of Registry Defragmentation v5.x(6.x) can upgrade to version 7.x free of charge. Users who have purchased an earlier verion of Registry Defragmentation (<5.x) or Advanced Registry Doctor Pro (<5.x) must pay for the upgrade in order to be able to use the product in the registered mode. Users who want to upgrade should contact author by email in order to receive the link where they can order the software upgrade.

7. DISCLAIMER OF WARRANTY

THE SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, AND FITNESS FOR A PARTICULAR PURPOSE. AUTHOR IS NOT OBLIGATED TO PROVIDE ANY UPDATES, UPGRADES OR TECHNICAL SUPPORT FOR THE SOFTWARE. IN NO EVENT AUTHOR WILL BE LIABLE FOR ANY INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR FOR ANY LOST PROFITS, LOST SAVINGS, LOST REVENUES OR LOST DATA ARISING FROM OR RELATING TO THE SOFTWARE OR THIS AGREEMENT, EVEN IF AUTHOR HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF AGREEMENT

Copyright © Elcor Software 2001 - 2005. All design, graphics, content and coding by Nick Nifontov and Alexander Berezovsky.

WWW: http://www.elcor.net
E-Mail: info@elcor.net


Frequently Asked Questions (FAQ)

Registration and licensing related questions:

Is there some alternative way to register "Registry Defragmentation"?
Yes, there is. Now we're trying to localize our product for different countries and with your help it will be easier/faster. If you feel like you can help then send us email to info@elcor.net and do not forget to specify languages which you can help with.

How to register?
You may register your copy of "Registry Defragmentation" here: http://antispy4you.com/buy.php .

I lost my registration key. What am I to do?
 Send us an email explaining that you have lost your registration key and add to it any proof that you are really registered user. We will send you a new one as soon as possible.

Usage related questions:

When to Use "Registry Defragmentation"?
When you install/remove software you should know that it alters the registry by adding/removing certain information. However such changes cause your Windows registry to grow in size, which immediately leads to decrease of application response time and consequently slows down your system. That is why we recommend you to perform registry defragmentation:

  • Every 30 days.
  • When new software is installed.
  • When existing software is uninstalled.

How much space I will gain?
This is hard to predict. Sometimes you may get decrease in size only in range 1%-5% of total registry size. But you need to remember that what you we will get is a linear registry without any fragmentation.

Why should I use "Registry Defragmentation" but not any other tool?
All registry defragmentors that i used to see (Norton Disk Doctor, DiskKeeper, PageDefrag and other) defragment only physical location of the registry file. They do not delete unused entries, compacting the registry and re-indexing registry for maximum speed. Our "Registry Defragmentation" does these things and even more. It optimizes logical structure of the registry. Thus our program improves access time and provides your system with more stability.

How do I uninstall "Registry Defragmentation"?
To uninstall "Registry Defragmentation" please go Start -> Programs -> "Registry Defragmentation" -> Uninstall "Registry Defragmentation"

I use other registry defragmentators/optimizers/tweakers. Is "Registry Defragmentation" compatible with them?
YES!

What is "System Backup"?
"System Backup" is our wrapper for managing SystemRestore APIs. Most of WinXP/ME users are familiar with SystemRestore feature and frequently use it. We have written "System Backup", because we think it's a nice add-on to the existing set of tools that "Registry Defragmentation" has. SystemRestore APIs are implemented in Windows Me or XP/Longhorn, that is why this tool will function under this OS only.

What is "RegManServ.exe"?
"RegManServ.exe" stands for Registry Management Service which has to be launched on your machine to provide correct functioning of the program. It is used to gain LocalSystem privileges and avois appearance of such error messages as "Access denied". "Registry Defragmentation" can work correctly on some systems even without this service running, but we still provide it for compatibility purposes.

General questions:

What are the minimum requirements for "Registry Defragmentation"?
"Registry Defragmentation" needs at least 1 Mb of free space, 4 Mb RAM.

I found a bug in "Registry Defragmentation". What should I do?
If you encounter problems, please visit http://antispy4you.com and download the latest version to see if the issue has been resolved. If not, please send a bug report to: support@elcor.net

Questions about compatibility with other programs:

Is there a version available for Linux/Mac?
No!


Press Release

April , 2005

For Immediate Release

Elcor Software Releases Registry Defragmentation 7.0

Improve computer performance with Registry Defragmentation for Windows 9x, Me, NT, 2K, XP, 2003, and Longhorn.

Registry Defragmentation is a small utility that does gigantic improvements in computer performance. Registry is the core of any operating system and it is the proper functioning registry that determines how fast the computer boots up, launches applications and carries out commands.

This application physically defragments the Windows registry file to give it the proper linear structure. After a single run of Registry Defragmentation, the computer speed increases up to 100% and the computer itself stops freezing and crashing. As a result of regular registry defragmentation, computer users get a more stable operating system, shorter application/system response time, and the most optimal linear registry structure.

Registry Defragmentation is an absolutely essential tool for all folks who install/uninstall new software applications frequently. It often happens that uninstalling an application does not completely remove all program components. These components start hindering the computer performance, consuming system resources that should be allocated otherwise. As more and more applications get installed and uninstalled, the problem keeps growing, making computer performance unpredictable. This and many other registry-related problems can be easily fixed by Registry Defragmentation. The program is very easy to use and very moderately priced, making it affordable for any group of computer users.

Registry Defragmentation 7.0 is distributed electronically over the Internet; free demo version is available at http://antispy4you.com/ for evaluation.

The price of a single copy is 11.95 US Dollars.

Elcor Software is a small independent software developing company known for its Windows improvement products. Over the past two years, the company has released Advanced Registry Doctor Pro and Lite, TweakRAM, and Business Card Studio.

If you have any questions, would like to request editor’s copy, want to inquire about special prices for volume buyers/software resellers, or have a business proposal, please contact Nick Nifontov at nifontov@elcor.net

System Requirements:

  • 4 Mb HDD, 8 Mb RAM

Company Website - http://antispy4you.com/

Product Page - http://antispy4you.com/rdefrag.php

Screenshots - http://antispy4you.com/data/rdfrg.jpg

Download - http://antispy4you.com/download.php

Buy Link - http://antispy4you.com/buy.php


Press Release (Russian Version)

Апрель , 2005

Для Ближайшего Выпуска

Elcor Software Выпускает Registry Defragmentation 7.0

Повысьте производительность своего компьютера с помощью программы Registry Defragmentation для Windows 9x, Me, NT, 2K, XP, 2003, и Longhorn.

Registry Defragmentation – это маленькая утилита, которая обеспечивает большой прирост производительности Вашему компьютеру. Реестр – это сердце любой операционной системы и именно от него в большой степени зависит то, как быстро загружается Ваш компьютер и стартуют программы, а также скорость обработки комманд.

Эта программа выполняет физическую дефрагментацию реестра Windows для придания ему линейной структуры. После одиночного запуска Registry Defragmentation скорость компьютера увеличивается вдвое и сам компьютер перестает зависать и давать сбои. В результате регулярного дефрагментирования реестра пользователи компьютера получают более стабильную операционную систему, меньшее время отклика приложений и, конечно же, наиболее оптимальную линейную структуру своего реестра.

Registry Defragmentation будет очень полезен тем, кто часто устанавливает/удаляет новые программы. Часто случается так, что деинсталляция программы не приводит в полному удалянию все ее компонентов. Такие компоненты начинают мешать нормальной работе системы, потребляя системные ресурсы, которые должны использоваться иначе. Со временем проблема только растет так как все большее количество программ устанавливаются/удаляются. Это приводит к тому, что начиная с определенного момента работа Вашего компьютера становится непредсказуемой. Эта и другие проблемы, связанные с реестром, могут быть легко исправлены с помощью Registry Defragmentation. Программа легка и удобна в использовании, а также имеет весьма умеренную цену, что делает ее доступной всем группам компьютерных пользователей.

Registry Defragmentation 7.0 распространяется через интерет; бесплатную демо версию программы можно найти здесь: http://antispy4you.com/ .

Цена одной копии программы 11.95 USD.

Elcor Software – небольшая независимая компания, которая известна своими продуктами в области совершенствования работы ОС Windows. За последние два года компания выпустила такие программы: Advanced Registry Doctor Pro и Lite, TweakRAM, и Business Card Studio.

Если у Вас есть какие-либо вопросы, Вы хотите получить персональную редакторскую копию продукта, хотите узнать на счет специальных цен для оптовых покупателей/реселлеров программ, или у Вас есть бизнесс предложение, пожалуйста, свяжитесь с Николаем Нифонтовым по этому адресу: nifontov@elcor.net

Системные Требования:

  • 2 Мб дискового пространства, 2 Мб RAM

Вебсайт Компании - http://antispy4you.com/

Домашняя страница продукта - http://antispy4you.com/rdefrag.php

Скриншот - http://antispy4you.com/data/rdfrg.jpg

Скачать - http://antispy4you.com/download.php

Купить - http://antispy4you.com/buy.php


History

changes in v7.0 Build 04.01

- General change
[Added]
+ added Polish, French languages
+ added Save Position feature
+ added compatible with Windows Server 2003 and latest Windows XP packs and updates

[Updated]
+/- updated Unicode support
+/- updated System Backup to 7.0 Build 04.01
+/- updated Registry Defragmentation to 7.0 Build 04.01
+/- updated Registry Backup to 7.0 Build 04.01
+/- updated Registry Defragmentation Scheduler to 7.0 Build 04.01
+/- updated Registry Management Service
+/- updated Registry Toolkit

[Fixed]
- fixed the problems with Repaint on Windows XP and Windows Server 2003
- optimized error handling
- fixed problems with dynamic disks
- fixed a problem where the registry hives could not be optimized on some systems
- fixed bugs in Registry Toolkit
- fixed minor bugs

- Setup wizard
[Added]
+ added Polish, French languages

[Updated]
+/- updated Ukrainian, Russian languages
+/- fixed minor bugs

changes in v6.6 Build 03.13

- General change
[Updated]
+/- new registration file format

[Fixed]
- fixed bugs in Registry Management Service
- fixed bugs in System Backup
- fixed minor bugs

- Setup wizard
[Updated]
+/- Fixed minor bugs
changes in v6.6 Build 02.28

- General change
[Added]
+ added "Paste S/N" button in "Enter Serial" Wizard

[Updated]
+/- updated System Backup to 6.6 Build 02.28
+/- updated Registry Defragmentation to 6.6 Build 02.28
+/- updated Registry Backup to 6.6 Build 02.28
+/- updated Registry Defragmentation Scheduler to 6.6 Build 02.28
+/- updated English and German Help
+/- updated German, Russian, Ukraine support

[Fixed]
- fixed bugs in Registry Management Service
- fixed bugs in Registry Toolkit
- fixed small bugs in Registry Defragmentation
- fixed small bugs in Registry Defragmentation Scheduler
- fixed bugs in RdvChk Component
- fixed bugs in Trial Algoritm
- fixed the problems with registration keys file
- fixed small bug in "Enter Serial" Wizard
- fixed the error 31
- fixed the error 251
- fixed minor bugs
- License change
[Updated]
+/- New License Agreement
+/- New algorithm for build numeration system (by date)
- Setup wizard
[Updated]
+/- updated graphics, scripts
+/- Fixed minor bugs
changes in v6.5

- General change
o updated German Help
o updated German support
o Fixed minor bugs
- Setup wizard
o Updated/Fixed/Added German, Russian, Ukrainian
o Updated graphics, scripts
o NSIS 2.04
o Fixed minor bugs
changes in v6.3

- General change
o added German Help
o updated Ukrainian support
o Fixed minor bugs
- Setup wizard
o NSIS 2.03
o Fixed minor bugs
changes in v6.2

- General change
o added Arabic support
o updated Ukrainian support
o Fixed the problem with Import Processing on HyperThreading systems
o Fixed the error 86
o Fixed the error 82
o Fixed wrong API function results: SaveKey
o Fixed the problem with a code section position
o Fixed empty registration keys file creation ("aspr_keys.ini")
o Fixed JCL RaiseException address searching
o Fixed UserPolyBuffers CASE statement processing
o update "Registry Backup"
o Fixed minor bugs
changes in v6.1c

- General change
o added Italian support
o added Ukrainian support
o update "Registry Defragmentation Scheduler"
o update "Language Manager"
o update "Registry Defragmentation"
o update "Registry Backup"
o Fixed minor bugs
changes in v6.1b

- General change
o added German support
o update "Registry Defragmentation Scheduler"
o Fixed minor bugs
changes in v6.0

- General change
o Multi-Language engine
o Short Key Registration System
o Fixed error 156
o Fixed wrong debugger detection on Windows 98
o Fixed the problem with a result of GetLastError WinAPI
o Fixed the problem on Windows XP SP2 (AMD64)
o Fixed the problem on Korean Windows 2003 Server
o Fixed minor bugs
- License change
o New License Agreement
- Setup wizard
o NSIS 2.02
o Fixed minor bugs
changes in v5.0

- General change
o Added Windows 9X/ME support
o Fixed minor bugs
- License change
o New License Agreement
- Setup wizard
o Fixed minor bugs
changes in v4.0

- License change
o New License Agreement
o New registration scheme
- Setup wizard
o Added LZMA compression
o Fixed minor bugs
- Registry Defragmentation
o Added itegration with Registry Management Service
o New GUI style
o Fixed minor bugs
- Registry Backup (Now it's named "System Backup")
o New backup/restore engine based on SystemRestore APIs
o New GUI style
o Fixed minor bugs
- Registry Defragmentation Scheduler
o Added popup menu for manipulating with tasks
o Added itegration with Registry Management Service
o Updated GUI
o Fixed minor bugs
- Registry Toolkit
o Updated GUI
o Fixed minor bugs
changes in v3.2

- Fixed some bugs
changes in v3.1

- Updated "Registry Toolkit"
- Updated "Registry Backup"
- Updated "Registry Defragmentation Scheduler"
- Updated "Registry Defragmentation"
changes in v3.0

- Fixed some Critical bugs
- Added "Registry Management Service"
- Updated "Registry Toolkit"
- Updated "Registry Backup"
- Updated "Registry Defragmentation Scheduler"
- Updated "Registry Defragmentation"
- Updated Documentation
changes in v2.1

- Added new command line switches
- Updated "Registry Toolkit"
- Updated "Registry Backup"
- Updated "Registry Defragmentation Scheduler"
- Updated Documentation
- Fixed bugs
changes in v2.0

- Added "Registry Toolkit"
- Added "Registry Backup"
- Added new command line switches
- Updated Documentation
- Fixed bugs
changes in v1.1

- Added "Registry Defragmentation Scheduler"
- New Setup wizard (very small)
- Added new command line switches
- Updated Documentation
- Fixed bugs
changes in v1.0

- First program release


Ordering "Registry Defragmentation"

You may evaluate "Registry Defragmentation" for free for a maximum period of 21 days. If you wish to continue using it after 21 days, you have to register. There are two types of licenses available to register the program: Personal and Site. The Personal License is a one-computer license for a single person. The Site License is a multi-user license that allows usage of the program in the registered mode by all members of the company (team, group, and etc), which owns it.

To register the "Registry Defragmentation", please go to http://antispy4you.com/buy.php . On this page you must enter your payment details such as credit card number and so on. As soon as your order became approved you will receive via e-mail your registration key file with instructions how to use it.

Registration will give you:

  • Unlocking registration key for ordered software
  • Remove any shareware reminders and limitations
  • Priority customers support
  • Free minor updates
  • And other benefits


Registry Defragmentation for Windows 9x/Me/NT/2K/XP/2003/Longhorn

For Developers

Full source code of "Registry Defragmentation" is available for sale with a very reasonable price! All these source codes can be sold for non-commercial and commercial purposes. Please contact us for more information about purchasing source codes at sales@elcor.net .


Technical Support

Feel free to send us any comments, suggestions, wishes, bug reports etc. We really want to hear you! You can contact our support team using the following e-mail:

support@elcor.net

Note: before requesting technical support, please ensure that you are using the latest version of "Registry Defragmentation" available from

http://antispy4you.com/


Reporting Problems

If you encounter problems, please visit http://www.elcor.net/ and download the latest version to see if the issue has been resolved.

If not, please send a bug report to: support@elcor.net


Upgrade "Registry Defragmentation"

If you are a registered user of "Registry Defragmentation" you get all minor version updates for free. Just download the latest release of "Registry Defragmentation" and install it without uninstalling the previous version. This will preserve your registration. Upgrading to a new major version is not free. Registered users of the earlier versions get a discount on such upgrades.